MeduxMedux

Infra > List Tasks

List Tasks

List media tasks created by the authenticated user.

GET/api/app/v1/tasks

Examples

curl -X GET https://api.medux.io/api/app/v1/tasks?cursor=CURSOR&limit=LIMIT&status=QUEUED&media_type=MEDIA_TYPE&capability_id=CAPABILITY_ID \
  -H 'Authorization: Bearer $MEDUX_API_KEY'

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Try it returns the current account's task history.

Use this for history views or background polling dashboards.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

cursorstringoptional

No description provided.

Location: QUERY

limitint32optional

No description provided.

Location: QUERY

statusstringoptional

Allowed values:

  • TASK_STATUS_UNDEFINED - Not specified.
  • QUEUED - Task is waiting to run.
  • PROCESSING - Task is running.
  • SUCCEEDED - Task finished successfully.
  • FAILED - Task failed.
  • EXPIRED - Task output is no longer available.

Available options: TASK_STATUS_UNDEFINED QUEUED PROCESSING SUCCEEDED FAILED EXPIRED

Location: QUERY

media_typestringoptional

No description provided.

Location: QUERY

capability_idstringoptional

No description provided.

Location: QUERY

Response

Response

application/json
codeint32optional

Application response code.

CodeMeaning
0OK
12Invalid input
13Authentication is required
99Server error

Available options: 0 12 13 99

Location: RESPONSE

data.itemsarray<object>optional

No description provided.

Location: RESPONSE

data.next_cursorstringoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input unauthenticated server error

Location: RESPONSE